<?php

// AU process utility.
class AUUtility {

    // Return code: Another AU.exe is running
    // The value of RCODE_RUNNING should be the same as result of "AU.exe --servauchk" while another AU.exe is running 
    const RCODE_RUNNING = 10;

    // Return code: Success
    const RCODE_DONE = 0;

    // Execute AU.exe.
    //
    // @return Return code of '/usr/tmcss/bin/ServAUWebExec --servau'.
    static function ExecuteAU() {

        system('/usr/tmcss/bin/ServAUWebExec --servau', $retval);
        return $retval;
    }

    // Check if another AU.exe instance is running
    //
    // @return Return code of '/usr/tmcss/bin/ServAUWebExec --servauchk'
    static function IsAnotherAURunning() {

        system('/usr/tmcss/bin/ServAUWebExec --servauchk', $retval);
        return $retval;
    }

}

?>
